# Crate docserver

source ·
Expand description

Run

    cargo run -p example-static-file-server

## Modules

- defs 🔒
- handlers 🔒
- login_password 🔒
- tera_tpls 🔒
- tools 🔒

## Structs

- Ports 🔒

## Constants

- CFG_FILE_EXTENSION
- DEFAULT_ROLES
- FILE_SCHEME
- GIT_VERSION 🔒
- PKG_NAME
- PKG_VERSION
- SESSION_COOKIE_NAME
- USERS_FILESTORE
- USERS_TABLENAME
- USER_AGENT

## Statics

- CALLSITE 🔒
- CALLSITE 🔒
- CALLSITE 🔒
- GIT_VERSION_NAME 🔒
- META 🔒
- META 🔒
- META 🔒
- PKG_FULLNAME 🔒

## Functions

- main 🔒
- make_https 🔒
- redirect_http_to_https 🔒
- route